function v = MMRE(vmax, S1, KS1, S2, KS2, P1, KP1, P2, KP2, n, Ea, Eb)
%Funcin para Michaelis-Menten Reversa Extendida
R=8.314;
T=298;
F= 9*649*10^4;
EBA = Eb-Ea;
GFE= -n*F*EBA;
Ke=exp((-GFE)/(R*T));
v= (vmax*(((S1/KS1)*(S2/KS2))-((1/Ke)*(P1/KP1)*(P2/KP2))))/((1+(S1/KS1)+(P1/KP1))*(1+(S2/KS2)+(P2/KP2)));
end

