function Iflux = Nernst_Planck( I_l, I_s, z, P, gEP)
%Nernst_Planck This function computes ion fluxes acrooss the membrane,
%driven by the electrochemical potential gradient

%   Detailed explanation goes here
R=8.314; % J/K*mol (Zhu)
T=298; % K
F=9.649*10^4; % Coulomb/mol
Iflux= (P*z*F*gEP*(I_l-I_s*exp((-z*F*gEP)/(R*T))))/(R*T*(1-exp((z*F*gEP)/(R*T))));
end


