
%% Initial Concentrations %%
iP680=0.1;
iP680a=0.1;
iP680p=100;
iQAr=0.1;
iQAo=100;
iPQ=100;
iPQH2=0.1;
iISP_o= 100;
iISP_r= 0.1;
ihemebp_o= 100;
ihemebp_r= 0.1;
icytf_o=100;
icytf_r= 0.1;
iPC_o= 100;
iPC_r=0.1;
iP700=0.1;
iP700p=100;
iP700a= 0.1;
ihemebn_o=100;
ihemebn_r=0.1;
iA0_o=100;
iA0_r=0.1;
iFd_o=100;
iFd_r=0.1;
iNADP=100;
iNADPH=1;
iADP=100;
iPi=100;
iATP=0.1;
iH_c=100*1000000;
iH_l=0.1*1000000;
iG3P=0.01;
iNO3=0.01;
iNO2=0.01;
iNH3=0.01;
iCa2_l=0.01;
iCa2_c=0.01;
iCl_l=0.01;
iCl_c=0.01;
iK_l=0.01;
iK_c=0.01;
iMg2_l=0.01;
iMg2_c=0.01;
iO2=0.0001;
iH2=0.0001;
%% Initial Velocities %%
iv1=0;
iv2=0;
iv3=0;
iv4=0;
iv5=0;
iv6=0;
iv7=0;
iv8=0;
iv9=0;
iv10=0;
iv11=0;
iv12=0;
iv13=0;
iv14=0;
iv15=0;
iv16=0;
iv17=0;
iv18=0;
iv19=0;
iv20=0;
iv21=0;
iv22=0;
iv23=0;
iv24=0;
iv25=0;
iv26=0;
iv27=0;
iv28=0;
iv29=0;
iv30=0;
iv31=0;
iv32=0;
iv33=0;
iv34=0;
iv35=0;
iv36=0;
iv37=0;
ipH_c=-log(iH_c/1000000);
ipH_l=-log(iH_l/1000000);
idGpH=0;
ie_balance=0;
%% [Initial Variables] %%
vini= [iP680 iP680a iP680p iQAr iQAo iPQ iPQH2 iISP_o iISP_r ihemebp_o ihemebp_r icytf_o icytf_r iPC_o iPC_r iP700 iP700p iP700a ihemebn_o ihemebn_r iA0_o iA0_r iFd_o iFd_r iNADP iNADPH iADP iPi iATP iH_c iH_l iG3P iNO3 iNO2 iNH3 iCa2_l iCa2_c iCl_l iCl_c iK_l iK_c iMg2_l iMg2_c iO2 iH2 ipH_c ipH_l idGpH iv1 iv2 iv3 iv4 iv5 iv6 iv7 iv8 iv9 iv10 iv11 iv12 iv13 iv14 iv15 iv16 iv17 iv18 iv19 iv20 iv21 iv22 iv23 iv24 iv25 iv26 iv27 iv28 iv29 iv30 iv31 iv32 iv33 iv34 iv35 iv36 iv37 ie_balance];  
%% Simulation %%
stepsize=1;
t_span=(1:stepsize:150)';
[t_span,product]=ode45(@FullModelRedux,t_span,vini);
%% Concentration: Results %%
conc=product(:,1:45);
plot(t_span,conc(:,[1:29,33:35,44:45]));
xlabel('time (s)')
ylabel('Concentration (mmol/l)')
%% Velocities: Results %%
vel0=[iv1 iv2 iv3 iv4 iv5 iv6 iv7 iv8 iv9 iv10 iv11 iv12 iv13 iv14 iv15 iv16 iv17 iv18 iv19 iv20 iv21 iv22 iv23 iv24 iv25 iv26 iv27 iv28 iv29 iv30 iv31 iv32 iv33 iv34 iv35 iv36 iv37 ie_balance];
velnon0= (diff(product(:,(49:end))))/stepsize;
vel=[vel0; velnon0];
plot(t_span,vel);
xlabel('Time (s)')
ylabel('Reaction rate (mol/l*s)')
%% Balances: Results %%

% e-balance
plot(t_span,product(:,end));
xlabel('Time(s)')
ylabel('Electron concentration')
legend('Electrons in the ETC')
%% pH: Results %%
pH0= [ipH_c ipH_l idGpH];
pHnon0=(diff(product(:,(45:47))));
pH=[pH0; pHnon0];
plot(t_span, pH)
xlabel('time(s)')
legend('pH_c','pH_l','GpH')
    